The Alternative Csound Reference Manual
Previous |  | Next

# taninv2

taninv2 -- Returns an arctangent.

## Description

Returns the arctangent of iy/ix, ky/kx, or ay/ax.

## Syntax

ar taninv2 ay, ax

ir taninv2 iy, ix

kr taninv2 ky, kx

Returns the arctangent of iy/ix, ky/kx, or ay/ax. If y is zero, taninv2 returns zero regardless of the value of x. If x is zero, the return value is:

- PI/2, if y is positive.

- -PI/2, if y is negative.

- 0, if y is 0.

## Initialization

iy, ix -- values to be converted

## Performance

ky, kx -- control rate signals to be converted

ay, ax -- audio rate signals to be converted

## Examples

Here is an example of the taninv2 opcode. It uses the files taninv2.orc and taninv2.sco.

Example 1. Example of the taninv2 opcode.

    /* taninv2.orc */
    ; Initialize the global variables.
    sr = 44100
    kr = 4410
    ksmps = 10
    nchnls = 1

    ; Instrument #1.
    instr 1
      ; Returns the arctangent for 1/2.
      i1 taninv2 1, 2

      print i1
    endin
    /* taninv2.orc */

    /* taninv2.sco */
    ; Play Instrument #1 for one second.
    i 1 0 1
    e
    /* taninv2.sco */

Its output should include a line like this:

    instr 1:  i1 = 0.464

## See Also

taninv

## Credits

Author: John ffitch
University of Bath/Codemist Ltd.
Bath, UK
April 1998

Example written by Kevin Conder.

New in Csound version 3.48

Corrected on May 2002, thanks to Istvan Varga.

Previous | Home | Next
taninv | Up | tbvcf